
package com.steering.Demand.entity;

public class TmsDemandM implements  iRule {
    public String getMatType() {
        return matType;
    }

    public void setMatType(String matType) {
        this.matType = matType;
    }

    private  String matType;
    /**
     * 需求号(运输区分代码2位+YYYYMMDD+5位流水)(DEMAND_NO,VARCHAR,16)
     */
    private String demandNo;

    /**
     * 需求描述(DEMAND_DESC,VARCHAR,100)
     */
    private String demandDesc;

    /**
     * 执行顺序号(非生产性需求=0;生产性需求1...开始递增)(EXECUTE_SQE,DECIMAL,16)
     */
    private String executeSqe;

    /**
     * 紧急程度类型A01029(URGENCY_TYPE_CODE,VARCHAR,16)
     */
    private String urgencyTypeCode;

    /**
     * 紧急程度描述(URGENCY_TYPE_DESC,VARCHAR,32)
     */
    private String urgencyTypeDesc;

    /**
     * 运输区分代码(下线/投料/离线)A01030(TRAN_CLASS_CODE,VARCHAR,16)
     */
    private String tranClassCode;

    /**
     * 运输区分(TRAN_CLASS_DESC,VARCHAR,32)
     */
    private String tranClassDesc;

    /**
     * 直倒分组号(下线/投料分组号)ZD+YYYYMMDD+4位流水(DEMAND_VERTICAL_NO,VARCHAR,16)
     */
    private String demandVerticalNo;

    /**
     * 计费区分代码(计重/计时/合同/包月/台班)A01033(COST_TYPE_CODE,VARCHAR,16)
     */
    private String costTypeCode;

    /**
     * 计费区分(COST_TYPE_DESC,VARCHAR,32)
     */
    private String costTypeDesc;

    /**
     * 承运人代码(生成需求时根据规则默认)(CARRIER_CODE,VARCHAR,16)
     */
    private String carrierCode;

    /**
     * 承运人名称(CARRIER_NAME,VARCHAR,32)
     */
    private String carrierName;

    /**
     * 参考单号(委外单号、倒运单号)(REFE_NO,VARCHAR,16)
     */
    private String refeNo;

    /**
     * 参考单类别代码(REFE_TYPE_CODE,VARCHAR,16)
     */
    private String refeTypeCode;

    /**
     * 参考单类别(REFE_TYPE_NAME,VARCHAR,32)
     */
    private String refeTypeName;

    /**
     * 运输起点代码(START_NODE_CODE,VARCHAR,16)
     */
    private String startNodeCode;

    /**
     * 起点描述(START_NODE_DESC,VARCHAR,32)
     */
    private String startNodeDesc;

    /**
     * 运输终点代码(END_NODE_CODE,VARCHAR,16)
     */
    private String endNodeCode;

    /**
     * 终点描述(END_NODE_DESC,VARCHAR,32)
     */
    private String endNodeDesc;

    /**
     * 起点区域代码(产销系统中库房/产线代码)(START_AREA_CODE,VARCHAR,16)
     */
    private String startAreaCode;

    /**
     * 起点区域描述(START_AREA_DESC,VARCHAR,32)
     */
    private String startAreaDesc;

    /**
     * 终点区域代码(产销系统中库房/产线代码)(END_AREA_CODE,VARCHAR,16)
     */
    private String endAreaCode;

    /**
     * 终点区域(END_AREA_DESC,VARCHAR,32)
     */
    private String endAreaDesc;

    /**
     * 需求单位代码(产销系统-机组/机构)TMS_COM_CONSIGNOR--托运人(DEMAND_ORG_CODE,VARCHAR,16)
     */
    private String demandOrgCode;

    /**
     * 需求单位(DEMAND_ORG_DESC,VARCHAR,32)
     */
    private String demandOrgDesc;

    /**
     * 起运启时间(TRANSPORT_START_TIME,TIMESTAMP,7)
     */
    private String transportStartTime;

    /**
     * 起运至时间(TRANSPORT_END_TIME,TIMESTAMP,7)
     */
    private String transportEndTime;

    /**
     * 车辆用途(生产用车/临时用车)A01031(CAR_USE_CODE,VARCHAR,16)
     */
    private String carUseCode;

    /**
     * 车辆用途(CAR_USE_DESC,VARCHAR,32)
     */
    private String carUseDesc;

    /**
     * 车辆类型代码A01017(CAR_TYPE_CODE,VARCHAR,8)
     */
    private String carTypeCode;

    /**
     * 车辆类型(CAR_TYPE_DESC,VARCHAR,16)
     */
    private String carTypeDesc;

    /**
     * 估算车数(载重量多少吨的车数)(CALCULATE_CAR_VAL,DECIMAL,3)
     */
    private String calculateCarVal;

    /**
     * 车载重量(CAR_WT_VAL,DECIMAL,10)
     */
    private String carWtVal;

    /**
     * 是否过磅(0否/1是)(WEIGHING_IF,CHAR,1)
     */
    private String weighingIf;

    /**
     * 判定炉号(HEAT_NO,VARCHAR,16)
     */
    private String heatNo;

    /**
     * 批号(BATCH_NO,VARCHAR,16)
     */
    private String batchNo;

    /**
     * 标识炉号(LOGO_NO,VARCHAR,16)
     */
    private String logoNo;

    /**
     * 组号(GROUP_NO,VARCHAR,16)
     */
    private String groupNo;

    /**
     * 物料代码(MATERIALS_CODE,VARCHAR,32)
     */
    private String materialsCode;

    /**
     * 物料描述(MATERIALS_DESC,VARCHAR,128)
     */
    private String materialsDesc;

    /**
     * 物料规格(MATERIALS_SPEC,VARCHAR,64)
     */
    private String materialsSpec;

    /**
     * 外径(/直径)(DIMATER_VAL,DECIMAL,11)
     */
    private String dimaterVal;

    /**
     * 宽度(预留)(WIDE_VAL,DECIMAL,11)
     */
    private String wideVal;

    /**
     * 厚度(壁厚)(HEIGHT_VAL,DECIMAL,11)
     */
    private String heightVal;

    /**
     * 长度(LEN_VAL,DECIMAL,11)
     */
    private String lenVal;

    /**
     * 长度下限(LEN_MIN_VAL,DECIMAL,11)
     */
    private String lenMinVal;

    /**
     * 长度上限(LEN_MAX_VAL,DECIMAL,11)
     */
    private String lenMaxVal;

    /**
     * 度量单位代码(UOM_CODE,VARCHAR,16)
     */
    private String uomCode;

    /**
     * 度量单位(UOM_DESC,VARCHAR,32)
     */
    private String uomDesc;

    /**
     * 需求数量(DEMAND_QTY_VAL,DECIMAL,10)
     */
    private String demandQtyVal;

    /**
     * 需求重量(DEMAND_WT_VAL,DECIMAL,10)
     */
    private String demandWtVal;


    private String isSure;

    public String getIsSure() {
        return isSure;
    }

    public void setIsSure(String isSure) {
        this.isSure = isSure;
    }

    public String getPlanQtyVal() {
        return planQtyVal;
    }

    public void setPlanQtyVal(String planQtyVal) {
        this.planQtyVal = planQtyVal;
    }

    public String getPlanWtVal() {
        return planWtVal;
    }

    public void setPlanWtVal(String planWtVal) {
        this.planWtVal = planWtVal;
    }

    public String getUnPlanQtyVal() {
        return unPlanQtyVal;
    }

    public void setUnPlanQtyVal(String unPlanQtyVal) {
        this.unPlanQtyVal = unPlanQtyVal;
    }

    public String getUnPlanWtVal() {
        return unPlanWtVal;
    }

    public void setUnPlanWtVal(String unPlanWtVal) {
        this.unPlanWtVal = unPlanWtVal;
    }

    private String planQtyVal;


    private String planWtVal;

    private String unPlanQtyVal;


    private String unPlanWtVal;

    /**
     * 下线数量(OUTPUT_QTY_VAL,DECIMAL,10)
     */
    private String outputQtyVal;

    /**
     * 下线重量(OUTPUT_WT_VAL,DECIMAL,10)
     */
    private String outputWtVal;

    /**
     * 离线数量(OFFLINE_QTY_VAL,DECIMAL,10)
     */
    private String offlineQtyVal;

    /**
     * 离线重量(OFFLINE_WT_VAL,DECIMAL,10)
     */
    private String offlineWtVal;

    /**
     * 废品数量(SCRAP_QTY_VAL,DECIMAL,10)
     */
    private String scrapQtyVal;

    /**
     * 废品重量(SCRAP_WT_VAL,DECIMAL,10)
     */
    private String scrapWtVal;

    /**
     * 生产订单号(PRO_ORDER_NO,VARCHAR,80)
     */
    private String proOrderNo;

    /**
     * 排产流水号(PRO_ORDER_SQE,VARCHAR,8)
     */
    private String proOrderSqe;

    /**
     * 本工序炉计划ID(CURRENT_JOB_NO,VARCHAR,24)
     */
    private String currentJobNo;

    public String getPreviousJobNo() {
        return previousJobNo;
    }

    public void setPreviousJobNo(String previousJobNo) {
        this.previousJobNo = previousJobNo;
    }

    /**
     * 上工序炉计划ID(PREVIOUS_JOB_NO,VARCHAR,24)
     */
    private String previousJobNo;

    /**
     * 数据来源标记(0人工1系统)(SOURCE_SIGN,CHAR,1)
     */
    private String sourceSign;

    /**
     * 数据状态(00无效10草稿20待分派30执行40结束50关闭)(VALIDFLAG,CHAR,2)
     */
    private String validflag;

    /**
     * 审批状态(00待审10审中20通过30退回40拒绝)(STATUS,CHAR,2)
     */
    private String status;

    /**
     * 会计年月(YYYYMM)(ACCOUNT_YEAR_MONTH,VARCHAR,6)
     */
    private String accountYearMonth;

    /**
     * 归档标志(1归档、0未归档)(ARCHIVE_FLAG,CHAR,1)
     */
    private String archiveFlag;

    /**
     * 归档编号(GD+YYYYYMMDD+3位流水号)(ARCHIVE_NO,VARCHAR,32)
     */
    private String archiveNo;

    /**
     * 归档日期(YYYYMMDD)(ARCHIVE_DATE,VARCHAR,8)
     */
    private String archiveString;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    private String memo;

    /**
     * 创建人ID(CREATE_USERID,VARCHAR,20)
     */
    private String createUserid;

    /**
     * 创建人(CREATE_NAME,VARCHAR,20)
     */
    private String createName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    private String createTime;

    /**
     * 修改人ID(UPDATE_USERID,VARCHAR,20)
     */
    private String updateUserid;

    /**
     * 修改人(UPDATE_NAME,VARCHAR,20)
     */
    private String updateName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    private String updateTime;

    /**
     * 废除人ID(DELETE_USERID,VARCHAR,20)
     */
    private String deleteUserid;

    /**
     * 废除人(DELETE_NAME,VARCHAR,20)
     */
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,TIMESTAMP,7)
     */
    private String deleteTime;

    /**
     * 计费数量(COST_COUNT,DECIMAL,0)
     */
    private String costCount;



    public String getDemandNo() {
        return demandNo;
    }

    public void setDemandNo(String demandNo) {
        this.demandNo = demandNo == null ? null : demandNo.trim();
    }

    public String getDemandDesc() {
        return demandDesc;
    }

    public void setDemandDesc(String demandDesc) {
        this.demandDesc = demandDesc == null ? null : demandDesc.trim();
    }

    public String getExecuteSqe() {
        return executeSqe;
    }

    public void setExecuteSqe(String executeSqe) {
        this.executeSqe = executeSqe;
    }

    public String getUrgencyTypeCode() {
        return urgencyTypeCode;
    }

    public void setUrgencyTypeCode(String urgencyTypeCode) {
        this.urgencyTypeCode = urgencyTypeCode == null ? null : urgencyTypeCode.trim();
    }

    public String getUrgencyTypeDesc() {
        return urgencyTypeDesc;
    }

    public void setUrgencyTypeDesc(String urgencyTypeDesc) {
        this.urgencyTypeDesc = urgencyTypeDesc == null ? null : urgencyTypeDesc.trim();
    }

    public String getTranClassCode() {
        return tranClassCode;
    }

    public void setTranClassCode(String tranClassCode) {
        this.tranClassCode = tranClassCode == null ? null : tranClassCode.trim();
    }

    public String getTranClassDesc() {
        return tranClassDesc;
    }

    public void setTranClassDesc(String tranClassDesc) {
        this.tranClassDesc = tranClassDesc == null ? null : tranClassDesc.trim();
    }

    public String getDemandVerticalNo() {
        return demandVerticalNo;
    }

    public void setDemandVerticalNo(String demandVerticalNo) {
        this.demandVerticalNo = demandVerticalNo == null ? null : demandVerticalNo.trim();
    }

    public String getCostTypeCode() {
        return costTypeCode;
    }

    public void setCostTypeCode(String costTypeCode) {
        this.costTypeCode = costTypeCode == null ? null : costTypeCode.trim();
    }

    public String getCostTypeDesc() {
        return costTypeDesc;
    }

    public void setCostTypeDesc(String costTypeDesc) {
        this.costTypeDesc = costTypeDesc == null ? null : costTypeDesc.trim();
    }

    public String getCarrierCode() {
        return carrierCode;
    }

    public void setCarrierCode(String carrierCode) {
        this.carrierCode = carrierCode == null ? null : carrierCode.trim();
    }

    public String getCarrierName() {
        return carrierName;
    }

    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName == null ? null : carrierName.trim();
    }

    public String getRefeNo() {
        return refeNo;
    }

    public void setRefeNo(String refeNo) {
        this.refeNo = refeNo == null ? null : refeNo.trim();
    }

    public String getRefeTypeCode() {
        return refeTypeCode;
    }

    public void setRefeTypeCode(String refeTypeCode) {
        this.refeTypeCode = refeTypeCode == null ? null : refeTypeCode.trim();
    }

    public String getRefeTypeName() {
        return refeTypeName;
    }

    public void setRefeTypeName(String refeTypeName) {
        this.refeTypeName = refeTypeName == null ? null : refeTypeName.trim();
    }

    public String getStartNodeCode() {
        return startNodeCode;
    }

    public void setStartNodeCode(String startNodeCode) {
        this.startNodeCode = startNodeCode == null ? null : startNodeCode.trim();
    }

    public String getStartNodeDesc() {
        return startNodeDesc;
    }

    public void setStartNodeDesc(String startNodeDesc) {
        this.startNodeDesc = startNodeDesc == null ? null : startNodeDesc.trim();
    }

    public String getEndNodeCode() {
        return endNodeCode;
    }

    public void setEndNodeCode(String endNodeCode) {
        this.endNodeCode = endNodeCode == null ? null : endNodeCode.trim();
    }

    public String getEndNodeDesc() {
        return endNodeDesc;
    }

    public void setEndNodeDesc(String endNodeDesc) {
        this.endNodeDesc = endNodeDesc == null ? null : endNodeDesc.trim();
    }

    public String getStartAreaCode() {
        return startAreaCode;
    }

    public void setStartAreaCode(String startAreaCode) {
        this.startAreaCode = startAreaCode == null ? null : startAreaCode.trim();
    }

    public String getStartAreaDesc() {
        return startAreaDesc;
    }

    public void setStartAreaDesc(String startAreaDesc) {
        this.startAreaDesc = startAreaDesc == null ? null : startAreaDesc.trim();
    }

    public String getEndAreaCode() {
        return endAreaCode;
    }

    public void setEndAreaCode(String endAreaCode) {
        this.endAreaCode = endAreaCode == null ? null : endAreaCode.trim();
    }

    public String getEndAreaDesc() {
        return endAreaDesc;
    }

    public void setEndAreaDesc(String endAreaDesc) {
        this.endAreaDesc = endAreaDesc == null ? null : endAreaDesc.trim();
    }

    public String getDemandOrgCode() {
        return demandOrgCode;
    }

    public void setDemandOrgCode(String demandOrgCode) {
        this.demandOrgCode = demandOrgCode == null ? null : demandOrgCode.trim();
    }

    public String getDemandOrgDesc() {
        return demandOrgDesc;
    }

    public void setDemandOrgDesc(String demandOrgDesc) {
        this.demandOrgDesc = demandOrgDesc == null ? null : demandOrgDesc.trim();
    }

    public String getTransportStartTime() {
        return transportStartTime;
    }

    public void setTransportStartTime(String transportStartTime) {
        this.transportStartTime = transportStartTime;
    }

    public String getTransportEndTime() {
        return transportEndTime;
    }

    public void setTransportEndTime(String transportEndTime) {
        this.transportEndTime = transportEndTime;
    }

    public String getCarUseCode() {
        return carUseCode;
    }

    public void setCarUseCode(String carUseCode) {
        this.carUseCode = carUseCode == null ? null : carUseCode.trim();
    }

    public String getCarUseDesc() {
        return carUseDesc;
    }

    public void setCarUseDesc(String carUseDesc) {
        this.carUseDesc = carUseDesc == null ? null : carUseDesc.trim();
    }

    public String getCarTypeCode() {
        return carTypeCode;
    }

    public void setCarTypeCode(String carTypeCode) {
        this.carTypeCode = carTypeCode == null ? null : carTypeCode.trim();
    }

    public String getCarTypeDesc() {
        return carTypeDesc;
    }

    public void setCarTypeDesc(String carTypeDesc) {
        this.carTypeDesc = carTypeDesc == null ? null : carTypeDesc.trim();
    }

    public String getCalculateCarVal() {
        return calculateCarVal;
    }

    public void setCalculateCarVal(String calculateCarVal) {
        this.calculateCarVal = calculateCarVal;
    }

    public String getCarWtVal() {
        return carWtVal;
    }

    public void setCarWtVal(String carWtVal) {
        this.carWtVal = carWtVal;
    }

    public String getWeighingIf() {
        return weighingIf;
    }

    public void setWeighingIf(String weighingIf) {
        this.weighingIf = weighingIf == null ? null : weighingIf.trim();
    }

    public String getHeatNo() {
        return heatNo;
    }

    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo == null ? null : heatNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getLogoNo() {
        return logoNo;
    }

    public void setLogoNo(String logoNo) {
        this.logoNo = logoNo == null ? null : logoNo.trim();
    }

    public String getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo == null ? null : groupNo.trim();
    }

    public String getMaterialsCode() {
        return materialsCode;
    }

    public void setMaterialsCode(String materialsCode) {
        this.materialsCode = materialsCode == null ? null : materialsCode.trim();
    }

    public String getMaterialsDesc() {
        return materialsDesc;
    }

    public void setMaterialsDesc(String materialsDesc) {
        this.materialsDesc = materialsDesc == null ? null : materialsDesc.trim();
    }

    public String getMaterialsSpec() {
        return materialsSpec;
    }

    public void setMaterialsSpec(String materialsSpec) {
        this.materialsSpec = materialsSpec == null ? null : materialsSpec.trim();
    }

    public String getDimaterVal() {
        return dimaterVal;
    }

    public void setDimaterVal(String dimaterVal) {
        this.dimaterVal = dimaterVal;
    }

    public String getWideVal() {
        return wideVal;
    }

    public void setWideVal(String wideVal) {
        this.wideVal = wideVal;
    }

    public String getHeightVal() {
        return heightVal;
    }

    public void setHeightVal(String heightVal) {
        this.heightVal = heightVal;
    }

    public String getLenVal() {
        return lenVal;
    }

    public void setLenVal(String lenVal) {
        this.lenVal = lenVal;
    }

    public String getLenMinVal() {
        return lenMinVal;
    }

    public void setLenMinVal(String lenMinVal) {
        this.lenMinVal = lenMinVal;
    }

    public String getLenMaxVal() {
        return lenMaxVal;
    }

    public void setLenMaxVal(String lenMaxVal) {
        this.lenMaxVal = lenMaxVal;
    }

    public String getUomCode() {
        return uomCode;
    }

    public void setUomCode(String uomCode) {
        this.uomCode = uomCode == null ? null : uomCode.trim();
    }

    public String getUomDesc() {
        return uomDesc;
    }

    public void setUomDesc(String uomDesc) {
        this.uomDesc = uomDesc == null ? null : uomDesc.trim();
    }

    public String getDemandQtyVal() {
        return demandQtyVal;
    }

    public void setDemandQtyVal(String demandQtyVal) {
        this.demandQtyVal = demandQtyVal;
    }

    public String getDemandWtVal() {
        return demandWtVal;
    }

    public void setDemandWtVal(String demandWtVal) {
        this.demandWtVal = demandWtVal;
    }

    public String getOutputQtyVal() {
        return outputQtyVal;
    }

    public void setOutputQtyVal(String outputQtyVal) {
        this.outputQtyVal = outputQtyVal;
    }

    public String getOutputWtVal() {
        return outputWtVal;
    }

    public void setOutputWtVal(String outputWtVal) {
        this.outputWtVal = outputWtVal;
    }

    public String getOfflineQtyVal() {
        return offlineQtyVal;
    }

    public void setOfflineQtyVal(String offlineQtyVal) {
        this.offlineQtyVal = offlineQtyVal;
    }

    public String getOfflineWtVal() {
        return offlineWtVal;
    }

    public void setOfflineWtVal(String offlineWtVal) {
        this.offlineWtVal = offlineWtVal;
    }

    public String getScrapQtyVal() {
        return scrapQtyVal;
    }

    public void setScrapQtyVal(String scrapQtyVal) {
        this.scrapQtyVal = scrapQtyVal;
    }

    public String getScrapWtVal() {
        return scrapWtVal;
    }

    public void setScrapWtVal(String scrapWtVal) {
        this.scrapWtVal = scrapWtVal;
    }

    public String getProOrderNo() {
        return proOrderNo;
    }

    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo == null ? null : proOrderNo.trim();
    }

    public String getProOrderSqe() {
        return proOrderSqe;
    }

    public void setProOrderSqe(String proOrderSqe) {
        this.proOrderSqe = proOrderSqe == null ? null : proOrderSqe.trim();
    }

    public String getCurrentJobNo() {
        return currentJobNo;
    }

    public void setCurrentJobNo(String currentJobNo) {
        this.currentJobNo = currentJobNo == null ? null : currentJobNo.trim();
    }


    public String getSourceSign() {
        return sourceSign;
    }

    public void setSourceSign(String sourceSign) {
        this.sourceSign = sourceSign == null ? null : sourceSign.trim();
    }

    public String getValidflag() {
        return validflag;
    }

    public void setValidflag(String validflag) {
        this.validflag = validflag == null ? null : validflag.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getAccountYearMonth() {
        return accountYearMonth;
    }

    public void setAccountYearMonth(String accountYearMonth) {
        this.accountYearMonth = accountYearMonth == null ? null : accountYearMonth.trim();
    }

    public String getArchiveFlag() {
        return archiveFlag;
    }

    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag == null ? null : archiveFlag.trim();
    }

    public String getArchiveNo() {
        return archiveNo;
    }

    public void setArchiveNo(String archiveNo) {
        this.archiveNo = archiveNo == null ? null : archiveNo.trim();
    }

    public String getArchiveString() {
        return archiveString;
    }

    public void setArchiveString(String archiveString) {
        this.archiveString = archiveString == null ? null : archiveString.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateUserid() {
        return createUserid;
    }

    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid == null ? null : createUserid.trim();
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName == null ? null : createName.trim();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserid() {
        return updateUserid;
    }

    public void setUpdateUserid(String updateUserid) {
        this.updateUserid = updateUserid == null ? null : updateUserid.trim();
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName == null ? null : updateName.trim();
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteUserid() {
        return deleteUserid;
    }

    public void setDeleteUserid(String deleteUserid) {
        this.deleteUserid = deleteUserid == null ? null : deleteUserid.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public String getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getCostCount() {
        return costCount;
    }

    public void setCostCount(String costCount) {
        this.costCount = costCount;
    }

    public String getRuleId() {
        return "DEMAND";
    }

    private String loadTime;

    public String getLoadTime() {
        return loadTime;
    }

    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", demandNo=").append(demandNo);
        sb.append(", demandDesc=").append(demandDesc);
        sb.append(", executeSqe=").append(executeSqe);
        sb.append(", urgencyTypeCode=").append(urgencyTypeCode);
        sb.append(", urgencyTypeDesc=").append(urgencyTypeDesc);
        sb.append(", tranClassCode=").append(tranClassCode);
        sb.append(", tranClassDesc=").append(tranClassDesc);
        sb.append(", demandVerticalNo=").append(demandVerticalNo);
        sb.append(", costTypeCode=").append(costTypeCode);
        sb.append(", costTypeDesc=").append(costTypeDesc);
        sb.append(", carrierCode=").append(carrierCode);
        sb.append(", carrierName=").append(carrierName);
        sb.append(", refeNo=").append(refeNo);
        sb.append(", refeTypeCode=").append(refeTypeCode);
        sb.append(", refeTypeName=").append(refeTypeName);
        sb.append(", startNodeCode=").append(startNodeCode);
        sb.append(", startNodeDesc=").append(startNodeDesc);
        sb.append(", endNodeCode=").append(endNodeCode);
        sb.append(", endNodeDesc=").append(endNodeDesc);
        sb.append(", startAreaCode=").append(startAreaCode);
        sb.append(", startAreaDesc=").append(startAreaDesc);
        sb.append(", endAreaCode=").append(endAreaCode);
        sb.append(", endAreaDesc=").append(endAreaDesc);
        sb.append(", demandOrgCode=").append(demandOrgCode);
        sb.append(", demandOrgDesc=").append(demandOrgDesc);
        sb.append(", transportStartTime=").append(transportStartTime);
        sb.append(", transportEndTime=").append(transportEndTime);
        sb.append(", carUseCode=").append(carUseCode);
        sb.append(", carUseDesc=").append(carUseDesc);
        sb.append(", carTypeCode=").append(carTypeCode);
        sb.append(", carTypeDesc=").append(carTypeDesc);
        sb.append(", calculateCarVal=").append(calculateCarVal);
        sb.append(", carWtVal=").append(carWtVal);
        sb.append(", weighingIf=").append(weighingIf);
        sb.append(", heatNo=").append(heatNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", logoNo=").append(logoNo);
        sb.append(", groupNo=").append(groupNo);
        sb.append(", materialsCode=").append(materialsCode);
        sb.append(", materialsDesc=").append(materialsDesc);
        sb.append(", materialsSpec=").append(materialsSpec);
        sb.append(", dimaterVal=").append(dimaterVal);
        sb.append(", wideVal=").append(wideVal);
        sb.append(", heightVal=").append(heightVal);
        sb.append(", lenVal=").append(lenVal);
        sb.append(", lenMinVal=").append(lenMinVal);
        sb.append(", lenMaxVal=").append(lenMaxVal);
        sb.append(", uomCode=").append(uomCode);
        sb.append(", uomDesc=").append(uomDesc);
        sb.append(", demandQtyVal=").append(demandQtyVal);
        sb.append(", demandWtVal=").append(demandWtVal);
        sb.append(", outputQtyVal=").append(outputQtyVal);
        sb.append(", outputWtVal=").append(outputWtVal);
        sb.append(", offlineQtyVal=").append(offlineQtyVal);
        sb.append(", offlineWtVal=").append(offlineWtVal);
        sb.append(", scrapQtyVal=").append(scrapQtyVal);
        sb.append(", scrapWtVal=").append(scrapWtVal);
        sb.append(", proOrderNo=").append(proOrderNo);
        sb.append(", proOrderSqe=").append(proOrderSqe);
        sb.append(", currentJobNo=").append(currentJobNo);
        sb.append(", previousJobNo=").append(previousJobNo);
        sb.append(", sourceSign=").append(sourceSign);
        sb.append(", validflag=").append(validflag);
        sb.append(", status=").append(status);
        sb.append(", accountYearMonth=").append(accountYearMonth);
        sb.append(", archiveFlag=").append(archiveFlag);
        sb.append(", archiveNo=").append(archiveNo);
        sb.append(", archiveString=").append(archiveString);
        sb.append(", memo=").append(memo);
        sb.append(", createUserid=").append(createUserid);
        sb.append(", createName=").append(createName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateUserid=").append(updateUserid);
        sb.append(", updateName=").append(updateName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteUserid=").append(deleteUserid);
        sb.append(", deleteName=").append(deleteName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", costCount=").append(costCount);
        sb.append("]");
        return sb.toString();
    }



    private  String sumWaybillQty;

    public String getSumWaybillQty() {
        return sumWaybillQty;
    }

    public void setSumWaybillQty(String sumWaybillQty) {
        this.sumWaybillQty = sumWaybillQty;
    }

    public String getSumWaybillWt() {
        return sumWaybillWt;
    }

    public void setSumWaybillWt(String sumWaybillWt) {
        this.sumWaybillWt = sumWaybillWt;
    }

    private String sumWaybillWt;

    public String getCanPlanQtyVal() {
        return canPlanQtyVal;
    }

    public void setCanPlanQtyVal(String canPlanQtyVal) {
        this.canPlanQtyVal = canPlanQtyVal;
    }

    public String getCanPlanWtVal() {
        return canPlanWtVal;
    }

    public void setCanPlanWtVal(String canPlanWtVal) {
        this.canPlanWtVal = canPlanWtVal;
    }

    private String canPlanQtyVal;

    private String canPlanWtVal;

}